JSONBOT(1)

NAME
jsb-xmpp - The JSONBOT XMPP (Jabber) program

SYNOPSIS
JSONBOT is a remote event-driven framework for building bots that talk JSON to each other over XMPP. jsb-xmpp is the shell XMPP program build on this framework

DESCRIPTION

jsb-xmpp can connect to Jabber servers, join a conference and react on /msg. It uses TLS to connect to these servers on the default 5222 port.

USAGE

Usage: jsb-xmpp [options]

Options:
  --version show program's version number and exit
  -h, --help show this help message and exit
  -r PATH resume the bot from the folder specified
  -d DATADIR, --datadir=DATADIR
                        datadir of the bot
  -u USER, --user=USER JID of the bot
  -o OWNER, --owner=OWNER
                        owner of the bot
  -s SERVER, --server=SERVER
                        server to connect to (irc)
  -c CHANNEL, --channel=CHANNEL
                        channel to join
  -l LOGLEVEL, --loglevel=LOGLEVEL
                        loglevel of the bot
  -p PASSWORD, --password=PASSWORD
                        set password used to connect to the server
  --openfire enable openfire mode
  --register try to register the user on the server
  --name=NAME bot's name
  --port=PORT set port of server to connect to
  --save save to config file
  --colors enable the use of colors
  -n NICK, --nick=NICK nick of the bot

DOCUMENTATION
See http://jsonbot.org or http://jsonbot.appspot.com/docs for more documentation

SEE ALSO
jsb(1), jsb-backup(1), jsb-init(1), jsb-irc(1), jsb-fleet(1), jsb-stop(1), jsb-udp(1), jsb-sleek(1)

AUTHOR
This manual page was written by Bart Thate <bthate@gmail.com>, for the Debian GNU/Linux system (but may be used by others).